TAAS - Feature #246

PLB Report
07/09/2023 04:12 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/26/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: PLB Report

Description

Coding PLB Report

History

#1 - 09/07/2023 02:16 PM - Anil KV

Solutions

1) GUI Changes
-Period need MM/YYYY only
—Add Currency - Basel (***) default, Not need BASE2
-Summary List to PLB Report
—-List Column - Issue Date change to Fortnight
2) SQL
SELECT dat_period_start,
dat_period_end,
SUM (dbl_fare_sale) AS dbl_fare_sale,
SUM (dbl_tax_sale) AS dbl_tax_sale,
SUM (dbl_fare_refund) AS dbl_fare_refund,
SUM (dbl_tax_refund) AS dbl_tax_refund

FROM (
SELECT sudn.dat_issue AS dat_issue_or_cancel,
CASE WHEN TO_CHAR (sudn.dat_issue, 'DD')::INT <= 15 THEN DATE_TRUNC ('month', sudn.dat_issue) ::date ELSE
(DATE_TRUNC ('month', sudn.dat_issue) + interval 'l5 day')::date END AS dat_period_start,
CASE WHEN TO_CHAR (sudn.dat_issue, 'DD')::INT <= 15 THEN (DATE_TRUNC ('month', sudn.dat_issue) + interva
1 '14 day')::date ELSE (DATE_TRUNC ('month', sudn.dat_issue) + interval 'l month - 1 day')::date END AS dat_per
iod_end,

sudf.dbl_fare AS dbl_fare_sale,

sudf.dbl_tax AS dbl_tax_sale,

0.00 AS dbl_fare_refund,

0.00 AS dbl_tax_refund
FROM service.tbl_supp_doc_no sudn

LEFT JOIN service.tbl_supp_doc_fare sudf

ON sudn.fk_issue_base_fare_id = sudf.pk_supp_doc_fare_id --*1

WHERE sudn.sin_last_action != 0

AND sudn.sin_sys_sale_side_status > 0

UNION ALL

SELECT sudn.dat_cancel AS dat_issue_or_cancel,

CASE WHEN TO_CHAR (sudn.dat_issue, 'DD')::INT <= 15 THEN DATE_TRUNC ('month', sudn.dat_cancel) ::date ELS
E (DATE_TRUNC ('month', sudn.dat_cancel) + interval 'l5 day')::date END AS dat_period_start,

CASE WHEN TO_CHAR (sudn.dat_issue, 'DD')::INT <= 15 THEN (DATE_TRUNC ('month', sudn.dat_cancel) + interv
al 'l4 day')::date ELSE (DATE_TRUNC ('month', sudn.dat_cancel) + interval 'l month - 1 day')::date END AS dat_p

eriod_end,
0.00 AS dbl_fare_sale,
0.00 AS dbl_tax_sale,
sudf.dbl_fare AS dbl_fare_refund,
sudf.dbl_tax AS dbl_tax_refund
FROM service.tbl_supp_doc_no sudn
LEFT JOIN service.tbl_supp_doc_fare sudf
ON sudn.fk_cancel_base_fare_id = sudf.pk_supp_doc_fare_id --*2
WHERE sudn.sin_last_action != 0

05/03/2025 1/3




AND sin_sys_refund_side_status > 0) AS tmp
GROUP BY dat_period_start, dat_period_end

*Fortnight Column value is dat_period_start - dat_period_end -> Format date

#2 - 09/07/2023 04:46 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 09/21/2023 10:01 AM - Junaid M

- Assignee changed from travvise Admin to Vivekp V

#4 - 09/26/2023 07:37 PM - Vivekp V

- Status changed from Open to Coding Started

- Start date changed from 07/09/2023 to 09/26/2023
- % Done changed from 10 to 40

#5 - 09/30/2023 04:30 PM - Vivekp V
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 03/20/2024 11:00 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ADJUST GAP BETWEEN FIELDS IN Ul

2.MISSING PRECISION FROM LIST

3.SHOW DATA AS PER GIVEN CONSIDER OPTIONS IN Ul

4.SHOW DATA WHILE CHOOISNG INDIVIDUAL CURRENCY (SUPPLIER CURRENCY)

#7 - 03/21/2024 05:16 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.ADJUST GAP BETWEEN FIELDS IN Ul

2.MISSING PRECISION FROM LIST

3.SHOW DATA AS PER GIVEN CONSIDER OPTIONS IN Ul

4.SHOW DATA WHILE CHOOISNG INDIVIDUAL CURRENCY (SUPPLIER CURRENCY)

#8 - 09/28/2024 11:48 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#9 - 02/20/2025 12:16 PM - Theja Ponon
- File clipboard-202502201215-j8kwn.png added
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)airline get filled on the field on reloading the page and clicking on anywhere
Travvise PLB Report

Period (Issue)” | 02/2025 (<] 02/2025 (<] Branch® | Main

Currency ™ | Base1(QAR) v Aidine” | gB AccesRail

Customer

Fortnight Fare Sale(A) Fare Refund(8) Tax Sale(C)

#10 - 02/20/2025 12:17 PM - Theja Ponon
- Assignee changed from Vivekp V to Athira KK

#11 - 02/20/2025 03:52 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#12 - 03/06/2025 12:55 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Amount not showing based on AR sharing done in sale, while searching using two customers.
2. One time after 'no data found' message data is not showing with reload or reset button.

#13 - 03/10/2025 02:09 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

Tax Refund(D)

clipboard-202502201215-j8kwn.png 80.3 KB 02/20/2025
